Public Class LoginForm

    ' TODO: 제공된 사용자 이름과 암호를 사용하여 사용자 지정 인증을 수행하는 코드를 삽입합니다
    ' (자세한 내용은 http://go.microsoft.com/fwlink/?LinkId=35339 참조).  
    ' 그러면 사용자 지정 보안 주체가 현재 스레드의 보안 주체에 다음과 같이 첨부될 수 있습니다. 
    '     My.User.CurrentPrincipal = CustomPrincipal
    ' 여기서 CustomPrincipal은 인증을 수행하는 데 사용되는 IPrincipal이 구현된 것입니다. 
    ' 나중에 My.User는 CustomPrincipal 개체에 캡슐화된 사용자 이름, 표시 이름 등의
    ' ID 정보를 반환합니다.

    Public LoginPass As Integer




    Private Sub OK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK.Click

        If UsernameTextBox.Text = "admin" Then
            If PasswordTextBox.Text = "1233" Then
                GoTo loginsuccess
            End If
        ElseIf UsernameTextBox.Text = "jomt" Or UsernameTextBox.Text = "JOMT" Then
            If PasswordTextBox.Text = "jomt1771" Or PasswordTextBox.Text = "JOMT1771" Then
                GoTo loginsuccess
            End If
        Else
            GoTo loginfail
        End If

loginfail:
        MsgBox("아이디 및 비밀번호를 확인하세요")
        Exit Sub
loginsuccess:
        ''MainForm.Text = MainForm.Text & " (" & UsernameTextBox.Text & ")"
        Me.Hide()
        MainForm.ShowDialog()
    End Sub

    Private Sub Cancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel.Click
        Me.Close()
    End Sub

    Private Sub PictureBox1_DoubleClick(sender As Object, e As EventArgs)
        LoginPass = 1
    End Sub

    Private Sub LogoPictureBox_DoubleClick(sender As Object, e As EventArgs)
        If LoginPass Then
            LoginPass = 2
        Else
            LoginPass = 0
        End If
    End Sub

    Private Sub UsernameLabel_Click(sender As Object, e As EventArgs) Handles UsernameLabel.Click
        If LoginPass = 2 Then
            LoginPass = 3
        Else
            LoginPass = 0
        End If
    End Sub
End Class
